###  for PCLinuxOS  ###

%define  ver  20141206
%define  rel  1.nora14
%define  _fontdir  %{_datadir}/fonts/TTF/japanese-vlgothic


Name:    fonts-ttf-japanese-vlgothic
Summary: VLGothic font family - Free Japanese True Type Font
Summary(ja): VLゴシックフォントファミリ
Version: %{ver}
Release: %{rel}
License: BSD Like
Group:   System/Fonts/True type
URL:     http://dicey.org/vlgothic/
Source0: http://sourceforge.jp/projects/vlgothic/downloads/50227/VLGothic-%{version}.tar.xz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post):   fontconfig
Requires(postun): fontconfig
Provides:  VLGothic
Obsoletes: fonts-ttf-vlgothic


%description
VLGothic font family - Free Japanese True Type Font
- VL PGothic
- VL Gothic

%description -l ja
このパッケージには以下のフリーの日本語 True Type フォントが含まれています。

- VL Pゴシック (M+ 1C Regular 及び さざなみゴシック をベースに Project Vine が改良を行ったフォント)

- VLゴシック (M+ 1M Regular 及び さざなみゴシック をベースに Project Vine が改良を行ったフォント)


%prep
%setup -q -n VLGothic

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 *.ttf $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-vlgothic:pri=50


%post
fc-cache -fs %{_fontdir}

%postun
fc-cache -fs %{_fontdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Changelog* LICENSE* README*
%{_fontdir}/*.ttf
%{_sysconfdir}/X11/fontpath.d/ttf-japanese-vlgothic:pri=50


%changelog
* Fri Dec 19 2014 tomcat <webmaster2@tomcat.nyanta.jp> 20141206-1.nora14
- update to 20141206

* Sun Aug 03 2014 tomcat <webmaster2@tomcat.nyanta.jp> 20140801-1.nora14
- update to 20140801
- fix %%post and %%postun sections

* Thu Jun 05 2014 tomcat <webmaster2@tomcat.nyanta.jp> 20140530-1.nora14
- update to 20140530

* Sat Jun 08 2013 tomcat <webmaster2@tomcat.nyanta.jp> 20130607-1nora13
- update to 20130607

* Sat Apr 27 2013 tomcat <webmaster2@tomcat.nyanta.jp> 20130422-1nora13
- update to 20130422

* Sun Dec 30 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20121230-1nora13
- update to 20121230

* Sat Nov 10 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20121109-1nora12
- update to 20121109

* Sat Oct 06 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120928-1nora12
- update to 20120928

* Tue Sep 18 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120905-1nora12
- update to 20120905

* Sun Jul 01 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120629-1nora12
- update to 20120629

* Sun Jun 24 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120618-1nora12
- update to 20120618

* Mon Jun 11 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120610-1nora12
- update to 20120610

* Wed Apr 04 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120325-1nora12
- update to 20120325

* Fri Mar 02 2012 tomcat <webmaster2@tomcat.nyanta.jp> 20120130-1nora12
- update to 20120130

* Sun Nov 20 2011 tomcat <webmaster2@tomcat.nyanta.jp> 20111120-1nora11
- update to 20111120

* Tue Jul 26 2011 tomcat <webmaster2@tomcat.nyanta.jp> 20110722-1nora11
- update to 20110722

* Sun Jul 03 2011 tomcat <webmaster2@tomcat.nyanta.jp> 20110414-2nora11
- rebuild

* Fri Apr 15 2011 tomcat <webmaster2@tomcat.nyanta.jp> 20110414-1nora11
- update to 20110414

* Tue Dec 21 2010 tomcat <webmaster2@tomcat.nyanta.jp> 20101218-1nora103
- update to 20101218

* Mon Nov 01 2010 tomcat <webmaster2@tomcat.nyanta.jp> 20101022-1nora102
- update to 20101022

* Wed Aug 18 2010 tomcat <webmaster2@tomcat.nyanta.jp> 20100818-1nora102
- update to 20100818

* Fri Jun 11 2010 tomcat <webmaster2@tomcat.nyanta.jp> 20100416-2nora101
- rebuild for 2010
- update %%files section

* Fri Apr 16 2010 tomcat <webmaster2@tomcat.nyanta.jp> 20100416-1nora10
- update to 20100416

* Mon Feb 01 2010 tomcat <webmaster2@tomcat.nyanta.jp> 20100126-1nora10
- update to 20100126

* Wed Dec 16 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20091214-1nora10
- update to 20091214

* Sat Dec 12 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20091211-1nora10
- update to 20091211

* Wed Dec 09 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20091208-1nora10
- update to 20091208

* Tue Sep 29 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090811-3nora09
- fix %%post and %%postun section

* Fri Sep 25 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090811-2nora09
- change package name from fonts-ttf-vlgothic to fonts-ttf-japanese-vlgothic
- add 'Obsoletes: fonts-ttf-vlgothic'

* Sun Aug 16 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090811-1nora09
- update to 20090811

* Sun Jul 12 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090710-1nora09
- update to 20090710

* Fri Jun 12 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090612-1nora09
- update to 20090612

* Sat Apr 25 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090422-1nora09
- update to 20090422

* Wed Apr 22 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090421-1nora09
- update to 20090421

* Sat Mar 28 2009 tomcat <webmaster2@tomcat.nyanta.jp> 20090204-1nora09
- update to 20090204

* Tue Sep 09 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080908-1nora07
- update to 20080908

* Wed Jun 25 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080624-1nora07
- update to 20080624

* Wed Jun 18 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080610-1nora07
- update to 20080610

* Wed Apr 30 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080429-1nora07
- update to 20080429

* Thu Apr 21 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080420-1nora07
- update to 20080420

* Thu Apr 17 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080327-2nora07
- change release suffix

* Thu Mar 27 2008 tomcat <webmaster2@tomcat.nyanta.jp> 20080327-1nora1
- update to 20080327

* Mon Dec 17 2007 tomcat <webmaster2@tomcat.nyanta.jp> 20071215-1nora1
- update to 20071215

* Wed Oct 31 2007 tomcat <webmaster2@tomcat.nyanta.jp> 20071031-1nora1
- update to 20071031

* Wed Oct 17 2007 tomcat <webmaster2@tomcat.nyanta.jp> 20071015-1nora1
- initial build for PCLinuxOS 2007
